Push data into a user-provided Global Config
PUT
https://api.vercel.com/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/global-configWhen the user enabled Global Config syncing, then this endpoint can be used by the partner to push their configuration data into the relevant Global Config.
https://api.vercel.com/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/global-config
const response = await fetch('https://api.vercel.com/v1/installations/integrationConfigurationId/resources/resourceId/experimentation/global-config', { method: 'PUT', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "data": "value" }),});
const data = await response.json();console.log(data);Response
{ "digest": "string", "items": "value", "purpose": "experimentation", "updatedAt": "123"}AuthorizationbearerToken
Default authentication mechanism
integrationConfigurationIdstringRequired
resourceIdstringRequired
200The Global Config was updated
digeststringRequired
itemsobjectRequired
purposestringOptional
updatedAtnumberRequired
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error
412Error